Skip to main content
GET
/
api
/
v1
/
traces
/
{traceId}
/
spans
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/traces/{traceId}/spans
import requests

url = "https://api.staging.qyl.dev/api/v1/traces/{traceId}/spans"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.staging.qyl.dev/api/v1/traces/{traceId}/spans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "spanId": "b7ad6b7169203331",
      "traceId": "0af7651916cd43dd8448eb211c80319c",
      "name": "<string>",
      "startTimeUnixNano": 123,
      "endTimeUnixNano": 123,
      "durationNs": 1,
      "parentSpanId": "b7ad6b7169203331",
      "sessionId": "<string>",
      "statusMessage": "<string>",
      "serviceName": "<string>",
      "genAiProviderName": "<string>",
      "genAiRequestModel": "<string>",
      "genAiResponseModel": "<string>",
      "genAiInputTokens": 1,
      "genAiOutputTokens": 1,
      "genAiTemperature": 1,
      "genAiStopReason": "<string>",
      "genAiToolName": "<string>",
      "genAiToolCallId": "<string>",
      "genAiCostUsd": 1,
      "attributesJson": "<string>",
      "resourceJson": "<string>",
      "baggageJson": "<string>",
      "schemaUrl": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "prev_cursor": "<string>"
}
{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}
{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}

Path Parameters

traceId
string
required

Unique trace identifier (32 lowercase hex characters)

Required string length: 32
Pattern: ^[a-f0-9]{32}$
Example:

"0af7651916cd43dd8448eb211c80319c"

Query Parameters

limit
integer<int32>
default:100

Page size

Required range: 1 <= x <= 1000
cursor
string

Cursor

Response

The request has succeeded.

Cursor-based paginated response wrapper

items
object[]
required

List of items in this page

has_more
boolean
required

Whether there are more items available

next_cursor
string

Cursor for the next page (null if no more pages)

prev_cursor
string

Cursor for the previous page (null if first page)